﻿@model List<EmailAccountViewModel>
@{
    ViewBag.Title = "لیست حساب های ایمیل";
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
        <p>تعداد کل حساب های ایمیل: @Model.Count</p>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                                @<thead>
                                    <tr>
                                        <th style="width:10px">
                                            @Html.DisplayNameFor(model => model.GetObject().Id)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().Email)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().Host)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().Port)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().EnableSsl)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().UseDefaultCredentials)
                                        </th>
                                        <th>
                                            عملیات
                                        </th>
                                    </tr>
                                </thead>,
            @<tbody>
                @foreach (var model in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => model.Id)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.FriendlyName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Host)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Port)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.EnableSsl)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.UseDefaultCredentials)
                        </td>
                        <td>
                            <a href="@Url.Action("Edit", new { id = model.Id })" class="btn btn-primary">ویرایش</a>
                        </td>
                    </tr>
                 }
            </tbody>).Order(0, DataTabledOrder.Desc)
            </div>
        </div>
    </div>
</div>